GNU bug report logs - #22487
AIX: tests failures for coreutils-8.25 on AIX-7.1

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: coreutils; Reported by: Assaf Gordon <assafgordon@HIDDEN>; dated Thu, 28 Jan 2016 22:26:01 UTC; Maintainer for coreutils is bug-coreutils@HIDDEN.
Changed bug title to 'AIX: tests failures for coreutils-8.25 on AIX-7.1' from 'tests failures for coreutils-8.25 on AIX-7.1' Request was from Assaf Gordon <assafgordon@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 28 Jan 2016 22:25:39 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jan 28 17:25:39 2016
Received: from localhost ([127.0.0.1]:40097 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1aOv0P-0002ML-U3
	for submit <at> debbugs.gnu.org; Thu, 28 Jan 2016 17:25:39 -0500
Received: from eggs.gnu.org ([208.118.235.92]:39235)
 by debbugs.gnu.org with esmtp (Exim 4.84)
 (envelope-from <assafgordon@HIDDEN>) id 1aOv0M-0002M7-Kg
 for submit <at> debbugs.gnu.org; Thu, 28 Jan 2016 17:25:32 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <assafgordon@HIDDEN>) id 1aOv0D-0005GW-8K
 for submit <at> debbugs.gnu.org; Thu, 28 Jan 2016 17:25:25 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,FREEMAIL_FROM,
 T_DKIM_INVALID autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:46062)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <assafgordon@HIDDEN>) id 1aOv0D-0005GC-4e
 for submit <at> debbugs.gnu.org; Thu, 28 Jan 2016 17:25:21 -0500
Received: from eggs.gnu.org ([2001:4830:134:3::10]:58277)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <assafgordon@HIDDEN>) id 1aOv08-0007LN-0v
 for bug-coreutils@HIDDEN; Thu, 28 Jan 2016 17:25:21 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <assafgordon@HIDDEN>) id 1aOv03-00059V-DC
 for bug-coreutils@HIDDEN; Thu, 28 Jan 2016 17:25:15 -0500
Received: from mail-qg0-x230.google.com ([2607:f8b0:400d:c04::230]:34108)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <assafgordon@HIDDEN>) id 1aOv03-00059K-66
 for bug-coreutils@HIDDEN; Thu, 28 Jan 2016 17:25:11 -0500
Received: by mail-qg0-x230.google.com with SMTP id 6so51608637qgy.1
 for <bug-coreutils@HIDDEN>; Thu, 28 Jan 2016 14:25:10 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=to:from:subject:message-id:date:user-agent:mime-version
 :content-type; bh=pvodfjAfW0WXPf0kllIeWA1Z99PvHHLH5p2/Agi/SLo=;
 b=by52KSxRI5hcWCAIMe0bX36nZrzMcFz7/+/TUScM4pF5DlOPOkEqkrRv3bvLuLPDiU
 F8fHF49gia5ZPxDT1u61K/HgO6+ccdN6FA5hoGmKu5m3KIyB+VfjJ3K8trz7j2KswJWk
 AhxmsJJK1QvSU+FH7zoQ0bWlsNP5EazdiiVlgMVb8yQYmerkiDp/XZayWE0IB2lRxRum
 GurMoCoGKTbspu/7lwJeuChq082kTJcRd0LOzKAZn+fQa0IzmGwPb5bk5I/7dxDaCZIR
 auTft8avHidclhzy5hCZTHhNFJVBrhaNK/KCR9cJHl+bMkSuXZ3F86bisGBBUXrJjndn
 b+iQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20130820;
 h=x-gm-message-state:to:from:subject:message-id:date:user-agent
 :mime-version:content-type;
 bh=pvodfjAfW0WXPf0kllIeWA1Z99PvHHLH5p2/Agi/SLo=;
 b=B9EHokvHT69G1U5GwEnwqm6tQ2Vw0AA7n4MpJPl//bpeulYsJwTovWpxm3/tKH5Src
 Nm9GTYSQpc8i9osTPPCUsc6g05wJVHf4YOlT2URy0V3FDlUqIG57sYpcFDMbB/KYjGpk
 jBp+twolTk2tlG/TP8EF/w3JBMgT5iOJX/iwt2KFcAXJR+DXA7CMh20VV97d8LAikqFQ
 4B/f9QNeyH8JVrIGufBMat3UpswFP9d3jW2y4zvOpD8kZt4X24lV30qpqVuaoiM3Xdst
 UjZOKGFLwtmFIe3reKnGqEuc7TO+jIxwfY4yENvn6D86CTl0x/GWVeMPoJNLwYIzGnKn
 cVtQ==
X-Gm-Message-State: AG10YOTy/cXcZ01UkFzaQiVKN6jHtLkoWGvKAZOT3uWGwU7YhQvESu7+huGdA+Ve+WLMOw==
X-Received: by 10.140.32.203 with SMTP id h69mr6814540qgh.55.1454019910564;
 Thu, 28 Jan 2016 14:25:10 -0800 (PST)
Received: from disco.erlich.nygenome.org ([69.74.14.178])
 by smtp.googlemail.com with ESMTPSA id b95sm5702879qge.47.2016.01.28.14.25.09
 for <bug-coreutils@HIDDEN> (version=TLSv1/SSLv3 cipher=OTHER);
 Thu, 28 Jan 2016 14:25:09 -0800 (PST)
To: bug-coreutils@HIDDEN
From: Assaf Gordon <assafgordon@HIDDEN>
Subject: tests failures for coreutils-8.25 on AIX-7.1
Message-ID: <56AA95AD.6030509@HIDDEN>
Date: Thu, 28 Jan 2016 17:26:53 -0500
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:38.0) Gecko/20100101
 Thunderbird/38.5.1
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="------------020201020802030507070906"
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -4.0 (----)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -4.0 (----)

This is a multi-part message in MIME format.
--------------020201020802030507070906
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: 7bit

Hello,

The following tests fail on AIX-7.1:

FAIL: tests/misc/kill.sh
========================
...
++ env kill -l 15
+ test EXIT = TERM
+ fail=1


FAIL: tests/misc/stdbuf.sh
==========================
...
*** exp	Thu Jan 28 10:06:22 2016
--- out	Thu Jan 28 10:06:25 2016
***************
*** 1 ****
--- 1,2 ----
   1
+ 2
+ rm -f diff.out
+ false
+ time_fail=1
++ expr 6 + 1
+ attempt=7
++ expr 32 '*' 2
+ num_sleeps=64
+ test 7 -le 6
+ test 1 = 0
+ fail=1

(related to failed 7 attempts)


FAIL: tests/misc/sync.sh
========================
...
*** exp	Thu Jan 28 10:06:33 2016
--- err	Thu Jan 28 10:06:33 2016
***************
*** 1 ****
! sync: error opening 'norw': Permission denied
--- 1 ----
! sync: error opening 'norw': Is a directory
+ rm -f diff.out
+ false
+ fail=1

(seems like different error message running 'sync' on a directory without permissions).



FAIL: tests/touch/trailing-slash
================================
...
+ returns_ 1 touch no-file/
touch: setting times of 'no-file/': No such file or directory
+ returns_ 1 touch file/
+ fail=1
+ returns_ 1 touch dangling/
touch: setting times of 'dangling/': No such file or directory
+ returns_ 1 touch loop/
touch: setting times of 'loop/': Too many levels of symbolic links
+ returns_ 1 touch link1/
+ fail=1
+ touch dir/
+ touch -c no-file/
+ returns_ 1 touch -c file/
+ fail=1
+ touch -c dangling/
+ returns_ 1 touch -c loop/
touch: setting times of 'loop/': Too many levels of symbolic links
+ returns_ 1 touch -c link1/
+ fail=1




Lastly,
    tests/cp/parent-perm-race.sh
hangs and never terminates.
The log contains this error:

    $ cat tests/cp/parent-perm-race.log
    ...
    + for attr in mode ownership
    + mkfifo_or_skip_ mode/fifo
    + test 1 = 1
    + mkfifo mode/fifo
    + pid=35324056
    + cp --preserve=mode -R --copy-contents --parents mode d
    cp: cannot open 'mode/fifo' for reading: Invalid argument



logs attached.

regards,
  - assaf

--------------020201020802030507070906
Content-Type: text/x-log;
 name="aix-test-suite.log"
Content-Transfer-Encoding: quoted-printable
Content-Disposition: attachment;
 filename="aix-test-suite.log"

=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D
   GNU coreutils 8.25: ./tests/test-suite.log
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D

# TOTAL: 4
# PASS:  0
# SKIP:  0
# XFAIL: 0
# FAIL:  4
# XPASS: 0
# ERROR: 0

=2E. contents:: :depth: 2

FAIL: tests/misc/kill
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D

++ initial_cwd_=3D/home/agn/sources/coreutils-8.25
++ fail=3D0
+++ testdir_prefix_
+++ printf gt
++ pfx_=3Dgt
+++ mktempd_ /home/agn/sources/coreutils-8.25 gt-kill.sh.XXXX
+++ case $# in
+++ destdir_=3D/home/agn/sources/coreutils-8.25
+++ template_=3Dgt-kill.sh.XXXX
+++ MAX_TRIES_=3D4
+++ case $destdir_ in
+++ case $template_ in
++++ unset TMPDIR
+++ d=3D/home/agn/sources/coreutils-8.25/gt-kill.sh.kpaQ
+++ case $d in
+++ test -d /home/agn/sources/coreutils-8.25/gt-kill.sh.kpaQ
++++ ls -dgo /home/agn/sources/coreutils-8.25/gt-kill.sh.kpaQ
++++ tr S -
+++ perms=3D'drwx------ 2 256 Jan 28 10:06 /home/agn/sources/coreutils-8.=
25/gt-kill.sh.kpaQ'
+++ case $perms in
+++ test 0 =3D 0
+++ echo /home/agn/sources/coreutils-8.25/gt-kill.sh.kpaQ
+++ return
++ test_dir_=3D/home/agn/sources/coreutils-8.25/gt-kill.sh.kpaQ
++ cd /home/agn/sources/coreutils-8.25/gt-kill.sh.kpaQ
++ gl_init_sh_nl_=3D'
'
++ IFS=3D' =09
'
++ for sig_ in 1 2 3 13 15
+++ expr 1 + 128
++ eval 'trap '\''Exit 129'\'' 1'
+++ trap 'Exit 129' 1
++ for sig_ in 1 2 3 13 15
+++ expr 2 + 128
++ eval 'trap '\''Exit 130'\'' 2'
+++ trap 'Exit 130' 2
++ for sig_ in 1 2 3 13 15
+++ expr 3 + 128
++ eval 'trap '\''Exit 131'\'' 3'
+++ trap 'Exit 131' 3
++ for sig_ in 1 2 3 13 15
+++ expr 13 + 128
++ eval 'trap '\''Exit 141'\'' 13'
+++ trap 'Exit 141' 13
++ for sig_ in 1 2 3 13 15
+++ expr 15 + 128
++ eval 'trap '\''Exit 143'\'' 15'
+++ trap 'Exit 143' 15
++ trap remove_tmp_ 0
+ path_prepend_ ./src
+ test 1 '!=3D' 0
+ path_dir_=3D./src
+ case $path_dir_ in
+ abs_path_dir_=3D/home/agn/sources/coreutils-8.25/./src
+ case $abs_path_dir_ in
+ PATH=3D/home/agn/sources/coreutils-8.25/./src:/home/agn/sources/coreuti=
ls-8.25/src:/usr/bin:/etc:/usr/sbin:/usr/ucb:/home/agn/bin:/home/agn/usr/=
bin:/usr/bin/X11:/sbin:.
+ create_exe_shims_ /home/agn/sources/coreutils-8.25/./src
+ case $EXEEXT in
+ return 0
+ shift
+ test 0 '!=3D' 0
+ export PATH
+ print_ver_ kill
+ require_built_ kill
+ skip_=3Dno
+ for i in '"$@"'
+ case " $built_programs " in
+ test no =3D yes
+ test yes =3D yes
+ local i
+ for i in '$*'
+ env kill --version
kill (GNU coreutils) 8.25
Copyright (C) 2016 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.h=
tml>.
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.

Written by Paul Eggert.
+ returns_ 1 env kill
kill: no process ID specified
Try 'kill --help' for more information.
+ returns_ 1 env kill -TERM
kill: no process ID specified
Try 'kill --help' for more information.
+ returns_ 1 env kill -l -l
kill: multiple -l or -t options specified
Try 'kill --help' for more information.
+ returns_ 1 env kill -l -t
kill: multiple -l or -t options specified
Try 'kill --help' for more information.
+ returns_ 1 env kill -l -s 1
kill: cannot combine signal with -l or -t
Try 'kill --help' for more information.
+ returns_ 1 env kill -t -s 1
kill: cannot combine signal with -l or -t
Try 'kill --help' for more information.
+ returns_ 1 env kill -0 no_pid
kill: 'no_pid': invalid process id
+ env kill -0 11076030
+ env kill -s0 11076030
+ env kill -n0 11076030
+ env kill -CONT 11076030
+ env kill -Cont 11076030
+ returns_ 1 env kill -cont 11076030
kill: invalid option -- 'c'
Try 'kill --help' for more information.
+ env kill -0 -1
+ env kill -l
HUP
INT
QUIT
ILL
TRAP
ABRT
EMT
FPE
KILL
BUS
SEGV
SYS
PIPE
ALRM
TERM
URG
STOP
TSTP
CONT
CHLD
TTIN
TTOU
POLL
XCPU
XFSZ
MSG
WINCH
PWR
USR1
USR2
PROF
DANGER
VTALRM
MIGRATE
PRE
VIRT
ALRM1
WAITING
RTMIN
RTMIN+1
RTMIN+2
RTMIN+3
RTMAX-3
RTMAX-2
RTMAX-1
RTMAX
GRANT
RETRACT
SOUND
SAK
+ env kill -t
 1 HUP     Hangup
 2 INT     Interrupt
 3 QUIT    Quit
 4 ILL     Illegal instruction
 5 TRAP    Trace/breakpoint trap
 6 ABRT    Resource lost
 7 EMT     EMT trap
 8 FPE     Floating point exception
 9 KILL    Killed
10 BUS     Bus error
11 SEGV    Segmentation fault
12 SYS     Bad system call
13 PIPE    Broken pipe
14 ALRM    Alarm clock
15 TERM    Terminated
16 URG     Urgent I/O condition
17 STOP    Stopped (signal)
18 TSTP    Stopped
19 CONT    Continued
20 CHLD    Child exited
21 TTIN    Stopped (tty input)
22 TTOU    Stopped (tty output)
23 POLL    I/O possible
24 XCPU    CPU time limit exceeded
25 XFSZ    File size limit exceeded
27 MSG     Unknown signal 27
28 WINCH   Window changed
29 PWR     Power failure
30 USR1    User defined signal 1
31 USR2    User defined signal 2
32 PROF    Profiling timer expired
33 DANGER  Unknown signal 33
34 VTALRM  Virtual timer expired
35 MIGRATE Unknown signal 35
36 PRE     Unknown signal 36
37 VIRT    Unknown signal 37
38 ALRM1   Unknown signal 38
39 WAITING Unknown signal 39
50 RTMIN   Real-time signal 0
51 RTMIN+1 Real-time signal 1
52 RTMIN+2 Real-time signal 2
53 RTMIN+3 Real-time signal 3
54 RTMAX-3 Real-time signal 4
55 RTMAX-2 Real-time signal 5
56 RTMAX-1 Real-time signal 6
57 RTMAX   Real-time signal 7
60 GRANT   Unknown signal 60
61 RETRACT Unknown signal 61
62 SOUND   Unknown signal 62
63 SAK     Unknown signal 63
+ env kill -L
 1 HUP     Hangup
 2 INT     Interrupt
 3 QUIT    Quit
 4 ILL     Illegal instruction
 5 TRAP    Trace/breakpoint trap
 6 ABRT    Resource lost
 7 EMT     EMT trap
 8 FPE     Floating point exception
 9 KILL    Killed
10 BUS     Bus error
11 SEGV    Segmentation fault
12 SYS     Bad system call
13 PIPE    Broken pipe
14 ALRM    Alarm clock
15 TERM    Terminated
16 URG     Urgent I/O condition
17 STOP    Stopped (signal)
18 TSTP    Stopped
19 CONT    Continued
20 CHLD    Child exited
21 TTIN    Stopped (tty input)
22 TTOU    Stopped (tty output)
23 POLL    I/O possible
24 XCPU    CPU time limit exceeded
25 XFSZ    File size limit exceeded
27 MSG     Unknown signal 27
28 WINCH   Window changed
29 PWR     Power failure
30 USR1    User defined signal 1
31 USR2    User defined signal 2
32 PROF    Profiling timer expired
33 DANGER  Unknown signal 33
34 VTALRM  Virtual timer expired
35 MIGRATE Unknown signal 35
36 PRE     Unknown signal 36
37 VIRT    Unknown signal 37
38 ALRM1   Unknown signal 38
39 WAITING Unknown signal 39
50 RTMIN   Real-time signal 0
51 RTMIN+1 Real-time signal 1
52 RTMIN+2 Real-time signal 2
53 RTMIN+3 Real-time signal 3
54 RTMAX-3 Real-time signal 4
55 RTMAX-2 Real-time signal 5
56 RTMAX-1 Real-time signal 6
57 RTMAX   Real-time signal 7
60 GRANT   Unknown signal 60
61 RETRACT Unknown signal 61
62 SOUND   Unknown signal 62
63 SAK     Unknown signal 63
+ env kill -t TERM HUP
15 TERM    Terminated
 1 HUP     Hangup
++ env kill -l HUP TERM
++ tail -n1
+ SIGTERM=3D15
++ env kill -l 15
+ test EXIT =3D TERM
+ fail=3D1
++ expr 15 + 128
+ STD_TERM_STATUS=3D143
++ expr 15 + 256
+ KSH_TERM_STATUS=3D271
++ env kill -l 143 271
++ uniq
+ test EXIT =3D TERM
+ fail=3D1
+ returns_ 1 env kill -l -1
kill: '-1': invalid signal
+ returns_ 1 env kill -l -1 0
kill: '-1': invalid signal
EXIT
+ returns_ 1 env kill -l INVALID TERM
kill: 'INVALID': invalid signal
15
+ Exit 1
+ set +e
+ exit 1
+ exit 1
+ remove_tmp_
+ __st=3D1
+ cleanup_
+ :
+ cd /home/agn/sources/coreutils-8.25
+ chmod -R u+rwx /home/agn/sources/coreutils-8.25/gt-kill.sh.kpaQ
+ rm -rf /home/agn/sources/coreutils-8.25/gt-kill.sh.kpaQ
+ exit 1
FAIL tests/misc/kill.sh (exit status: 1)

FAIL: tests/misc/stdbuf
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D

++ initial_cwd_=3D/home/agn/sources/coreutils-8.25
++ fail=3D0
+++ testdir_prefix_
+++ printf gt
++ pfx_=3Dgt
+++ mktempd_ /home/agn/sources/coreutils-8.25 gt-stdbuf.sh.XXXX
+++ case $# in
+++ destdir_=3D/home/agn/sources/coreutils-8.25
+++ template_=3Dgt-stdbuf.sh.XXXX
+++ MAX_TRIES_=3D4
+++ case $destdir_ in
+++ case $template_ in
++++ unset TMPDIR
+++ d=3D/home/agn/sources/coreutils-8.25/gt-stdbuf.sh.VTbu
+++ case $d in
+++ test -d /home/agn/sources/coreutils-8.25/gt-stdbuf.sh.VTbu
++++ ls -dgo /home/agn/sources/coreutils-8.25/gt-stdbuf.sh.VTbu
++++ tr S -
+++ perms=3D'drwx------ 2 256 Jan 28 10:06 /home/agn/sources/coreutils-8.=
25/gt-stdbuf.sh.VTbu'
+++ case $perms in
+++ test 0 =3D 0
+++ echo /home/agn/sources/coreutils-8.25/gt-stdbuf.sh.VTbu
+++ return
++ test_dir_=3D/home/agn/sources/coreutils-8.25/gt-stdbuf.sh.VTbu
++ cd /home/agn/sources/coreutils-8.25/gt-stdbuf.sh.VTbu
++ gl_init_sh_nl_=3D'
'
++ IFS=3D' =09
'
++ for sig_ in 1 2 3 13 15
+++ expr 1 + 128
++ eval 'trap '\''Exit 129'\'' 1'
+++ trap 'Exit 129' 1
++ for sig_ in 1 2 3 13 15
+++ expr 2 + 128
++ eval 'trap '\''Exit 130'\'' 2'
+++ trap 'Exit 130' 2
++ for sig_ in 1 2 3 13 15
+++ expr 3 + 128
++ eval 'trap '\''Exit 131'\'' 3'
+++ trap 'Exit 131' 3
++ for sig_ in 1 2 3 13 15
+++ expr 13 + 128
++ eval 'trap '\''Exit 141'\'' 13'
+++ trap 'Exit 141' 13
++ for sig_ in 1 2 3 13 15
+++ expr 15 + 128
++ eval 'trap '\''Exit 143'\'' 15'
+++ trap 'Exit 143' 15
++ trap remove_tmp_ 0
+ path_prepend_ ./src
+ test 1 '!=3D' 0
+ path_dir_=3D./src
+ case $path_dir_ in
+ abs_path_dir_=3D/home/agn/sources/coreutils-8.25/./src
+ case $abs_path_dir_ in
+ PATH=3D/home/agn/sources/coreutils-8.25/./src:/home/agn/sources/coreuti=
ls-8.25/src:/usr/bin:/etc:/usr/sbin:/usr/ucb:/home/agn/bin:/home/agn/usr/=
bin:/usr/bin/X11:/sbin:.
+ create_exe_shims_ /home/agn/sources/coreutils-8.25/./src
+ case $EXEEXT in
+ return 0
+ shift
+ test 0 '!=3D' 0
+ export PATH
+ print_ver_ stdbuf
+ require_built_ stdbuf
+ skip_=3Dno
+ for i in '"$@"'
+ case " $built_programs " in
+ test no =3D yes
+ test yes =3D yes
+ local i
+ for i in '$*'
+ env stdbuf --version
stdbuf (GNU coreutils) 8.25
Copyright (C) 2016 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.h=
tml>.
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.

Written by P=E1draig Brady.
+ getlimits_
++ getlimits
+ eval CHAR_MAX=3D255 CHAR_OFLOW=3D256 SCHAR_MAX=3D127 SCHAR_OFLOW=3D128 =
SCHAR_MIN=3D-128 SCHAR_UFLOW=3D-129 UCHAR_MAX=3D255 UCHAR_OFLOW=3D256 SHR=
T_MAX=3D32767 SHRT_OFLOW=3D32768 SHRT_MIN=3D-32768 SHRT_UFLOW=3D-32769 IN=
T_MAX=3D2147483647 INT_OFLOW=3D2147483648 INT_MIN=3D-2147483648 INT_UFLOW=
=3D-2147483649 UINT_MAX=3D4294967295 UINT_OFLOW=3D4294967296 LONG_MAX=3D2=
147483647 LONG_OFLOW=3D2147483648 LONG_MIN=3D-2147483648 LONG_UFLOW=3D-21=
47483649 ULONG_MAX=3D4294967295 ULONG_OFLOW=3D4294967296 SIZE_MAX=3D42949=
67295 SIZE_OFLOW=3D4294967296 SSIZE_MAX=3D2147483647 SSIZE_OFLOW=3D214748=
3648 SSIZE_MIN=3D-2147483648 SSIZE_UFLOW=3D-2147483649 TIME_T_MAX=3D21474=
83647 TIME_T_OFLOW=3D2147483648 TIME_T_MIN=3D-2147483648 TIME_T_UFLOW=3D-=
2147483649 UID_T_MAX=3D4294967295 UID_T_OFLOW=3D4294967296 GID_T_MAX=3D42=
94967295 GID_T_OFLOW=3D4294967296 PID_T_MAX=3D2147483647 PID_T_OFLOW=3D21=
47483648 PID_T_MIN=3D-2147483648 PID_T_UFLOW=3D-2147483649 OFF_T_MAX=3D92=
23372036854775807 OFF_T_OFLOW=3D9223372036854775808 OFF_T_MIN=3D-92233720=
36854775808 OFF_T_UFLOW=3D-9223372036854775809 INTMAX_MAX=3D9223372036854=
775807 INTMAX_OFLOW=3D9223372036854775808 INTMAX_MIN=3D-92233720368547758=
08 INTMAX_UFLOW=3D-9223372036854775809 UINTMAX_MAX=3D18446744073709551615=
 UINTMAX_OFLOW=3D18446744073709551616 FLT_MIN=3D1.1754944e-38 FLT_MAX=3D3=
=2E4028235e+38 DBL_MIN=3D2.2250738585072014e-308 DBL_MAX=3D1.797693134862=
3157e+308 LDBL_MIN=3D2.2250738585072014e-308 LDBL_MAX=3D1.797693134862315=
7e+308
++ CHAR_MAX=3D255
++ CHAR_OFLOW=3D256
++ SCHAR_MAX=3D127
++ SCHAR_OFLOW=3D128
++ SCHAR_MIN=3D-128
++ SCHAR_UFLOW=3D-129
++ UCHAR_MAX=3D255
++ UCHAR_OFLOW=3D256
++ SHRT_MAX=3D32767
++ SHRT_OFLOW=3D32768
++ SHRT_MIN=3D-32768
++ SHRT_UFLOW=3D-32769
++ INT_MAX=3D2147483647
++ INT_OFLOW=3D2147483648
++ INT_MIN=3D-2147483648
++ INT_UFLOW=3D-2147483649
++ UINT_MAX=3D4294967295
++ UINT_OFLOW=3D4294967296
++ LONG_MAX=3D2147483647
++ LONG_OFLOW=3D2147483648
++ LONG_MIN=3D-2147483648
++ LONG_UFLOW=3D-2147483649
++ ULONG_MAX=3D4294967295
++ ULONG_OFLOW=3D4294967296
++ SIZE_MAX=3D4294967295
++ SIZE_OFLOW=3D4294967296
++ SSIZE_MAX=3D2147483647
++ SSIZE_OFLOW=3D2147483648
++ SSIZE_MIN=3D-2147483648
++ SSIZE_UFLOW=3D-2147483649
++ TIME_T_MAX=3D2147483647
++ TIME_T_OFLOW=3D2147483648
++ TIME_T_MIN=3D-2147483648
++ TIME_T_UFLOW=3D-2147483649
++ UID_T_MAX=3D4294967295
++ UID_T_OFLOW=3D4294967296
++ GID_T_MAX=3D4294967295
++ GID_T_OFLOW=3D4294967296
++ PID_T_MAX=3D2147483647
++ PID_T_OFLOW=3D2147483648
++ PID_T_MIN=3D-2147483648
++ PID_T_UFLOW=3D-2147483649
++ OFF_T_MAX=3D9223372036854775807
++ OFF_T_OFLOW=3D9223372036854775808
++ OFF_T_MIN=3D-9223372036854775808
++ OFF_T_UFLOW=3D-9223372036854775809
++ INTMAX_MAX=3D9223372036854775807
++ INTMAX_OFLOW=3D9223372036854775808
++ INTMAX_MIN=3D-9223372036854775808
++ INTMAX_UFLOW=3D-9223372036854775809
++ UINTMAX_MAX=3D18446744073709551615
++ UINTMAX_OFLOW=3D18446744073709551616
++ FLT_MIN=3D1.1754944e-38
++ FLT_MAX=3D3.4028235e+38
++ DBL_MIN=3D2.2250738585072014e-308
++ DBL_MAX=3D1.7976931348623157e+308
++ LDBL_MIN=3D2.2250738585072014e-308
++ LDBL_MAX=3D1.7976931348623157e+308
+ test 2147483647
+ lf=3D'
'
+ case $abs_top_builddir in
+ mkfifo_or_skip_ fifo
+ test 1 =3D 1
+ mkfifo fifo
+ stdbuf -o1 true
+ stdbuf -oK true
+ stdbuf -o0 true
+ stdbuf -oL true
+ stdbuf -ol true
stdbuf: invalid mode 'l'
+ test 125 =3D 125
+ stdbuf -o4294967296 true
stdbuf: invalid mode '4294967296': Value too large to be stored in data t=
ype
+ test 125 =3D 125
+ stdbuf -iL true
stdbuf: line buffering stdin is meaningless
Try 'stdbuf --help' for more information.
+ test 125 =3D 125
+ stdbuf true
stdbuf: you must specify a buffering mode option
Try 'stdbuf --help' for more information.
+ test 125 =3D 125
+ stdbuf -i0 -o0 -e0 true
+ stdbuf -o1 .
stdbuf: failed to run command '.': Permission denied
+ test 126 =3D 126
+ stdbuf -o1 no_such
stdbuf: failed to run command 'no_such': No such file or directory
+ test 127 =3D 127
+ retry_delay_ stdbuf_linebuffer .1 6
+ local test_func=3Dstdbuf_linebuffer
+ local init_delay=3D.1
+ local max_n_tries=3D6
+ shift 3
+ local attempt=3D1
+ local num_sleeps=3D1
+ local time_fail
+ test 1 -le 6
++ gawk -v n=3D1 -v s=3D.1 'BEGIN { print s * n }'
+ local delay=3D0.1
+ stdbuf_linebuffer 0.1
+ local delay=3D0.1
+ printf '1\n'
+ dd count=3D1 if=3Dfifo
+ printf '1\n'
+ sleep 0.1
+ stdbuf -oL uniq
+ printf '2\n'
+ wait 19988918
+ compare exp out
+ compare_dev_null_ exp out
+ test 2 =3D 2
+ test xexp =3D x/dev/null
+ test xout =3D x/dev/null
+ return 2
+ case $? in
+ compare_ exp out
+ diff -c exp out
+ cat diff.out
*** exp	Thu Jan 28 10:06:18 2016
--- out	Thu Jan 28 10:06:18 2016
***************
*** 1 ****
--- 1,2 ----
  1
+ 2
+ rm -f diff.out
+ false
+ time_fail=3D1
++ expr 1 + 1
+ attempt=3D2
++ expr 1 '*' 2
+ num_sleeps=3D2
+ test 2 -le 6
++ gawk -v n=3D2 -v s=3D.1 'BEGIN { print s * n }'
+ local delay=3D0.2
+ stdbuf_linebuffer 0.2
+ local delay=3D0.2
+ printf '1\n'
+ pid=3D19988926
+ dd count=3D1 if=3Dfifo
+ printf '1\n'
+ sleep 0.2
+ stdbuf -oL uniq
+ printf '2\n'
+ wait 19988926
+ compare exp out
+ compare_dev_null_ exp out
+ test 2 =3D 2
+ test xexp =3D x/dev/null
+ test xout =3D x/dev/null
+ return 2
+ case $? in
+ compare_ exp out
+ diff -c exp out
+ cat diff.out
*** exp	Thu Jan 28 10:06:18 2016
--- out	Thu Jan 28 10:06:19 2016
***************
*** 1 ****
--- 1,2 ----
  1
+ 2
+ rm -f diff.out
+ false
+ time_fail=3D1
++ expr 2 + 1
+ attempt=3D3
++ expr 2 '*' 2
+ num_sleeps=3D4
+ test 3 -le 6
++ gawk -v n=3D4 -v s=3D.1 'BEGIN { print s * n }'
+ local delay=3D0.4
+ stdbuf_linebuffer 0.4
+ local delay=3D0.4
+ printf '1\n'
+ pid=3D5833088
+ dd count=3D1 if=3Dfifo
+ printf '1\n'
+ sleep 0.4
+ stdbuf -oL uniq
+ printf '2\n'
+ wait 5833088
+ compare exp out
+ compare_dev_null_ exp out
+ test 2 =3D 2
+ test xexp =3D x/dev/null
+ test xout =3D x/dev/null
+ return 2
+ case $? in
+ compare_ exp out
+ diff -c exp out
+ cat diff.out
*** exp	Thu Jan 28 10:06:19 2016
--- out	Thu Jan 28 10:06:19 2016
***************
*** 1 ****
--- 1,2 ----
  1
+ 2
+ rm -f diff.out
+ false
+ time_fail=3D1
++ expr 3 + 1
+ attempt=3D4
++ expr 4 '*' 2
+ num_sleeps=3D8
+ test 4 -le 6
++ gawk -v n=3D8 -v s=3D.1 'BEGIN { print s * n }'
+ local delay=3D0.8
+ stdbuf_linebuffer 0.8
+ local delay=3D0.8
+ printf '1\n'
+ pid=3D57147510
+ dd count=3D1 if=3Dfifo
+ printf '1\n'
+ sleep 0.8
+ stdbuf -oL uniq
+ printf '2\n'
+ wait 57147510
+ compare exp out
+ compare_dev_null_ exp out
+ test 2 =3D 2
+ test xexp =3D x/dev/null
+ test xout =3D x/dev/null
+ return 2
+ case $? in
+ compare_ exp out
+ diff -c exp out
+ cat diff.out
*** exp	Thu Jan 28 10:06:19 2016
--- out	Thu Jan 28 10:06:20 2016
***************
*** 1 ****
--- 1,2 ----
  1
+ 2
+ rm -f diff.out
+ false
+ time_fail=3D1
++ expr 4 + 1
+ attempt=3D5
++ expr 8 '*' 2
+ num_sleeps=3D16
+ test 5 -le 6
++ gawk -v n=3D16 -v s=3D.1 'BEGIN { print s * n }'
+ local delay=3D1.6
+ stdbuf_linebuffer 1.6
+ local delay=3D1.6
+ printf '1\n'
+ pid=3D57147520
+ dd count=3D1 if=3Dfifo
+ printf '1\n'
+ sleep 1.6
+ stdbuf -oL uniq
+ printf '2\n'
+ wait 57147520
+ compare exp out
+ compare_dev_null_ exp out
+ test 2 =3D 2
+ test xexp =3D x/dev/null
+ test xout =3D x/dev/null
+ return 2
+ case $? in
+ compare_ exp out
+ diff -c exp out
+ cat diff.out
*** exp	Thu Jan 28 10:06:20 2016
--- out	Thu Jan 28 10:06:22 2016
***************
*** 1 ****
--- 1,2 ----
  1
+ 2
+ rm -f diff.out
+ false
+ time_fail=3D1
++ expr 5 + 1
+ attempt=3D6
++ expr 16 '*' 2
+ num_sleeps=3D32
+ test 6 -le 6
++ gawk -v n=3D32 -v s=3D.1 'BEGIN { print s * n }'
+ local delay=3D3.2
+ stdbuf_linebuffer 3.2
+ local delay=3D3.2
+ printf '1\n'
+ pid=3D39583922
+ dd count=3D1 if=3Dfifo
+ printf '1\n'
+ sleep 3.2
+ stdbuf -oL uniq
+ printf '2\n'
+ wait 39583922
+ compare exp out
+ compare_dev_null_ exp out
+ test 2 =3D 2
+ test xexp =3D x/dev/null
+ test xout =3D x/dev/null
+ return 2
+ case $? in
+ compare_ exp out
+ diff -c exp out
+ cat diff.out
*** exp	Thu Jan 28 10:06:22 2016
--- out	Thu Jan 28 10:06:25 2016
***************
*** 1 ****
--- 1,2 ----
  1
+ 2
+ rm -f diff.out
+ false
+ time_fail=3D1
++ expr 6 + 1
+ attempt=3D7
++ expr 32 '*' 2
+ num_sleeps=3D64
+ test 7 -le 6
+ test 1 =3D 0
+ fail=3D1
+ retry_delay_ stdbuf_unbuffer .1 6
+ local test_func=3Dstdbuf_unbuffer
+ local init_delay=3D.1
+ local max_n_tries=3D6
+ shift 3
+ local attempt=3D1
+ local num_sleeps=3D1
+ local time_fail
+ test 1 -le 6
++ gawk -v n=3D1 -v s=3D.1 'BEGIN { print s * n }'
+ local delay=3D0.1
+ stdbuf_unbuffer 0.1
+ local delay=3D0.1
+ printf '1\n'
+ pid=3D17629466
+ dd count=3D1 if=3Dfifo
+ printf '1\n'
+ sleep 0.1
+ stdbuf -o0 uniq
+ printf '2\n'
+ wait 17629466
+ compare exp out
+ compare_dev_null_ exp out
+ test 2 =3D 2
+ test xexp =3D x/dev/null
+ test xout =3D x/dev/null
+ return 2
+ case $? in
+ compare_ exp out
+ diff -c exp out
+ cat diff.out
*** exp	Thu Jan 28 10:06:25 2016
--- out	Thu Jan 28 10:06:26 2016
***************
*** 1 ****
--- 1,2 ----
  1
+ 2
+ rm -f diff.out
+ false
+ time_fail=3D1
++ expr 1 + 1
+ attempt=3D2
++ expr 1 '*' 2
+ num_sleeps=3D2
+ test 2 -le 6
++ gawk -v n=3D2 -v s=3D.1 'BEGIN { print s * n }'
+ local delay=3D0.2
+ stdbuf_unbuffer 0.2
+ local delay=3D0.2
+ printf '1\n'
+ pid=3D17629474
+ dd count=3D1 if=3Dfifo
+ printf '1\n'
+ sleep 0.2
+ stdbuf -o0 uniq
+ printf '2\n'
+ wait 17629474
+ compare exp out
+ compare_dev_null_ exp out
+ test 2 =3D 2
+ test xexp =3D x/dev/null
+ test xout =3D x/dev/null
+ return 2
+ case $? in
+ compare_ exp out
+ diff -c exp out
+ cat diff.out
*** exp	Thu Jan 28 10:06:26 2016
--- out	Thu Jan 28 10:06:26 2016
***************
*** 1 ****
--- 1,2 ----
  1
+ 2
+ rm -f diff.out
+ false
+ time_fail=3D1
++ expr 2 + 1
+ attempt=3D3
++ expr 2 '*' 2
+ num_sleeps=3D4
+ test 3 -le 6
++ gawk -v n=3D4 -v s=3D.1 'BEGIN { print s * n }'
+ local delay=3D0.4
+ stdbuf_unbuffer 0.4
+ local delay=3D0.4
+ printf '1\n'
+ pid=3D10617078
+ dd count=3D1 if=3Dfifo
+ printf '1\n'
+ sleep 0.4
+ stdbuf -o0 uniq
+ printf '2\n'
+ wait 10617078
+ compare exp out
+ compare_dev_null_ exp out
+ test 2 =3D 2
+ test xexp =3D x/dev/null
+ test xout =3D x/dev/null
+ return 2
+ case $? in
+ compare_ exp out
+ diff -c exp out
+ cat diff.out
*** exp	Thu Jan 28 10:06:26 2016
--- out	Thu Jan 28 10:06:26 2016
***************
*** 1 ****
--- 1,2 ----
  1
+ 2
+ rm -f diff.out
+ false
+ time_fail=3D1
++ expr 3 + 1
+ attempt=3D4
++ expr 4 '*' 2
+ num_sleeps=3D8
+ test 4 -le 6
++ gawk -v n=3D8 -v s=3D.1 'BEGIN { print s * n }'
+ local delay=3D0.8
+ stdbuf_unbuffer 0.8
+ local delay=3D0.8
+ printf '1\n'
+ pid=3D10617086
+ dd count=3D1 if=3Dfifo
+ printf '1\n'
+ sleep 0.8
+ stdbuf -o0 uniq
+ printf '2\n'
+ wait 10617086
+ compare exp out
+ compare_dev_null_ exp out
+ test 2 =3D 2
+ test xexp =3D x/dev/null
+ test xout =3D x/dev/null
+ return 2
+ case $? in
+ compare_ exp out
+ diff -c exp out
+ cat diff.out
*** exp	Thu Jan 28 10:06:27 2016
--- out	Thu Jan 28 10:06:28 2016
***************
*** 1 ****
--- 1,2 ----
  1
+ 2
+ rm -f diff.out
+ false
+ time_fail=3D1
++ expr 4 + 1
+ attempt=3D5
++ expr 8 '*' 2
+ num_sleeps=3D16
+ test 5 -le 6
++ gawk -v n=3D16 -v s=3D.1 'BEGIN { print s * n }'
+ local delay=3D1.6
+ stdbuf_unbuffer 1.6
+ local delay=3D1.6
+ printf '1\n'
+ pid=3D10616842
+ dd count=3D1 if=3Dfifo
+ printf '1\n'
+ sleep 1.6
+ stdbuf -o0 uniq
+ printf '2\n'
+ wait 10616842
+ compare exp out
+ compare_dev_null_ exp out
+ test 2 =3D 2
+ test xexp =3D x/dev/null
+ test xout =3D x/dev/null
+ return 2
+ case $? in
+ compare_ exp out
+ diff -c exp out
+ cat diff.out
*** exp	Thu Jan 28 10:06:28 2016
--- out	Thu Jan 28 10:06:29 2016
***************
*** 1 ****
--- 1,2 ----
  1
+ 2
+ rm -f diff.out
+ false
+ time_fail=3D1
++ expr 5 + 1
+ attempt=3D6
++ expr 16 '*' 2
+ num_sleeps=3D32
+ test 6 -le 6
++ gawk -v n=3D32 -v s=3D.1 'BEGIN { print s * n }'
+ local delay=3D3.2
+ stdbuf_unbuffer 3.2
+ local delay=3D3.2
+ printf '1\n'
+ pid=3D19267646
+ dd count=3D1 if=3Dfifo
+ printf '1\n'
+ sleep 3.2
+ stdbuf -o0 uniq
+ printf '2\n'
+ wait 19267646
+ compare exp out
+ compare_dev_null_ exp out
+ test 2 =3D 2
+ test xexp =3D x/dev/null
+ test xout =3D x/dev/null
+ return 2
+ case $? in
+ compare_ exp out
+ diff -c exp out
+ cat diff.out
*** exp	Thu Jan 28 10:06:29 2016
--- out	Thu Jan 28 10:06:33 2016
***************
*** 1 ****
--- 1,2 ----
  1
+ 2
+ rm -f diff.out
+ false
+ time_fail=3D1
++ expr 6 + 1
+ attempt=3D7
++ expr 32 '*' 2
+ num_sleeps=3D64
+ test 7 -le 6
+ test 1 =3D 0
+ fail=3D1
+ Exit 1
+ set +e
+ exit 1
+ exit 1
+ remove_tmp_
+ __st=3D1
+ cleanup_
+ kill 19267646
+ cd /home/agn/sources/coreutils-8.25
+ chmod -R u+rwx /home/agn/sources/coreutils-8.25/gt-stdbuf.sh.VTbu
+ rm -rf /home/agn/sources/coreutils-8.25/gt-stdbuf.sh.VTbu
+ exit 1
FAIL tests/misc/stdbuf.sh (exit status: 1)

FAIL: tests/misc/sync
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D

++ initial_cwd_=3D/home/agn/sources/coreutils-8.25
++ fail=3D0
+++ testdir_prefix_
+++ printf gt
++ pfx_=3Dgt
+++ mktempd_ /home/agn/sources/coreutils-8.25 gt-sync.sh.XXXX
+++ case $# in
+++ destdir_=3D/home/agn/sources/coreutils-8.25
+++ template_=3Dgt-sync.sh.XXXX
+++ MAX_TRIES_=3D4
+++ case $destdir_ in
+++ case $template_ in
++++ unset TMPDIR
+++ d=3D/home/agn/sources/coreutils-8.25/gt-sync.sh.02ZW
+++ case $d in
+++ test -d /home/agn/sources/coreutils-8.25/gt-sync.sh.02ZW
++++ ls -dgo /home/agn/sources/coreutils-8.25/gt-sync.sh.02ZW
++++ tr S -
+++ perms=3D'drwx------ 2 256 Jan 28 10:06 /home/agn/sources/coreutils-8.=
25/gt-sync.sh.02ZW'
+++ case $perms in
+++ test 0 =3D 0
+++ echo /home/agn/sources/coreutils-8.25/gt-sync.sh.02ZW
+++ return
++ test_dir_=3D/home/agn/sources/coreutils-8.25/gt-sync.sh.02ZW
++ cd /home/agn/sources/coreutils-8.25/gt-sync.sh.02ZW
++ gl_init_sh_nl_=3D'
'
++ IFS=3D' =09
'
++ for sig_ in 1 2 3 13 15
+++ expr 1 + 128
++ eval 'trap '\''Exit 129'\'' 1'
+++ trap 'Exit 129' 1
++ for sig_ in 1 2 3 13 15
+++ expr 2 + 128
++ eval 'trap '\''Exit 130'\'' 2'
+++ trap 'Exit 130' 2
++ for sig_ in 1 2 3 13 15
+++ expr 3 + 128
++ eval 'trap '\''Exit 131'\'' 3'
+++ trap 'Exit 131' 3
++ for sig_ in 1 2 3 13 15
+++ expr 13 + 128
++ eval 'trap '\''Exit 141'\'' 13'
+++ trap 'Exit 141' 13
++ for sig_ in 1 2 3 13 15
+++ expr 15 + 128
++ eval 'trap '\''Exit 143'\'' 15'
+++ trap 'Exit 143' 15
++ trap remove_tmp_ 0
+ path_prepend_ ./src
+ test 1 '!=3D' 0
+ path_dir_=3D./src
+ case $path_dir_ in
+ abs_path_dir_=3D/home/agn/sources/coreutils-8.25/./src
+ case $abs_path_dir_ in
+ PATH=3D/home/agn/sources/coreutils-8.25/./src:/home/agn/sources/coreuti=
ls-8.25/src:/usr/bin:/etc:/usr/sbin:/usr/ucb:/home/agn/bin:/home/agn/usr/=
bin:/usr/bin/X11:/sbin:.
+ create_exe_shims_ /home/agn/sources/coreutils-8.25/./src
+ case $EXEEXT in
+ return 0
+ shift
+ test 0 '!=3D' 0
+ export PATH
+ print_ver_ sync
+ require_built_ sync
+ skip_=3Dno
+ for i in '"$@"'
+ case " $built_programs " in
+ test no =3D yes
+ test yes =3D yes
+ local i
+ for i in '$*'
+ env sync --version
sync (GNU coreutils) 8.25
Copyright (C) 2016 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.h=
tml>.
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.

Written by Jim Meyering and Giuseppe Scrivano.
+ touch file
+ returns_ 1 sync --data --file-system
sync: cannot specify both --data and --file-system
+ returns_ 1 sync -d
sync: --data needs at least one argument
+ sync file
+ returns_ 1 sync file nofile
sync: error opening 'nofile': No such file or directory
+ mkdir norw
+ chmod 0 norw
+ test -r norw
+ sync norw
+ printf 'sync: error opening '\''norw'\'': Permission denied\n'
+ compare exp err
+ compare_dev_null_ exp err
+ test 2 =3D 2
+ test xexp =3D x/dev/null
+ test xerr =3D x/dev/null
+ return 2
+ case $? in
+ compare_ exp err
+ diff -c exp err
+ cat diff.out
*** exp	Thu Jan 28 10:06:33 2016
--- err	Thu Jan 28 10:06:33 2016
***************
*** 1 ****
! sync: error opening 'norw': Permission denied
--- 1 ----
! sync: error opening 'norw': Is a directory
+ rm -f diff.out
+ false
+ fail=3D1
+ test 1 '!=3D' 1
+ Exit 1
+ set +e
+ exit 1
+ exit 1
+ remove_tmp_
+ __st=3D1
+ cleanup_
+ :
+ cd /home/agn/sources/coreutils-8.25
+ chmod -R u+rwx /home/agn/sources/coreutils-8.25/gt-sync.sh.02ZW
+ rm -rf /home/agn/sources/coreutils-8.25/gt-sync.sh.02ZW
+ exit 1
FAIL tests/misc/sync.sh (exit status: 1)

FAIL: tests/touch/trailing-slash
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D

++ initial_cwd_=3D/home/agn/sources/coreutils-8.25
++ fail=3D0
+++ testdir_prefix_
+++ printf gt
++ pfx_=3Dgt
+++ mktempd_ /home/agn/sources/coreutils-8.25 gt-trailing-slash.sh.XXXX
+++ case $# in
+++ destdir_=3D/home/agn/sources/coreutils-8.25
+++ template_=3Dgt-trailing-slash.sh.XXXX
+++ MAX_TRIES_=3D4
+++ case $destdir_ in
+++ case $template_ in
++++ unset TMPDIR
+++ d=3D/home/agn/sources/coreutils-8.25/gt-trailing-slash.sh.Of5T
+++ case $d in
+++ test -d /home/agn/sources/coreutils-8.25/gt-trailing-slash.sh.Of5T
++++ ls -dgo /home/agn/sources/coreutils-8.25/gt-trailing-slash.sh.Of5T
++++ tr S -
+++ perms=3D'drwx------ 2 256 Jan 28 10:06 /home/agn/sources/coreutils-8.=
25/gt-trailing-slash.sh.Of5T'
+++ case $perms in
+++ test 0 =3D 0
+++ echo /home/agn/sources/coreutils-8.25/gt-trailing-slash.sh.Of5T
+++ return
++ test_dir_=3D/home/agn/sources/coreutils-8.25/gt-trailing-slash.sh.Of5T=

++ cd /home/agn/sources/coreutils-8.25/gt-trailing-slash.sh.Of5T
++ gl_init_sh_nl_=3D'
'
++ IFS=3D' =09
'
++ for sig_ in 1 2 3 13 15
+++ expr 1 + 128
++ eval 'trap '\''Exit 129'\'' 1'
+++ trap 'Exit 129' 1
++ for sig_ in 1 2 3 13 15
+++ expr 2 + 128
++ eval 'trap '\''Exit 130'\'' 2'
+++ trap 'Exit 130' 2
++ for sig_ in 1 2 3 13 15
+++ expr 3 + 128
++ eval 'trap '\''Exit 131'\'' 3'
+++ trap 'Exit 131' 3
++ for sig_ in 1 2 3 13 15
+++ expr 13 + 128
++ eval 'trap '\''Exit 141'\'' 13'
+++ trap 'Exit 141' 13
++ for sig_ in 1 2 3 13 15
+++ expr 15 + 128
++ eval 'trap '\''Exit 143'\'' 15'
+++ trap 'Exit 143' 15
++ trap remove_tmp_ 0
+ path_prepend_ ./src
+ test 1 '!=3D' 0
+ path_dir_=3D./src
+ case $path_dir_ in
+ abs_path_dir_=3D/home/agn/sources/coreutils-8.25/./src
+ case $abs_path_dir_ in
+ PATH=3D/home/agn/sources/coreutils-8.25/./src:/home/agn/sources/coreuti=
ls-8.25/src:/usr/bin:/etc:/usr/sbin:/usr/ucb:/home/agn/bin:/home/agn/usr/=
bin:/usr/bin/X11:/sbin:.
+ create_exe_shims_ /home/agn/sources/coreutils-8.25/./src
+ case $EXEEXT in
+ return 0
+ shift
+ test 0 '!=3D' 0
+ export PATH
+ print_ver_ touch
+ require_built_ touch
+ skip_=3Dno
+ for i in '"$@"'
+ case " $built_programs " in
+ test no =3D yes
+ test yes =3D yes
+ local i
+ for i in '$*'
+ env touch --version
touch (GNU coreutils) 8.25
Copyright (C) 2016 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.h=
tml>.
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.

Written by Paul Rubin, Arnold Robbins, Jim Kingdon,
David MacKenzie, and Randy Smith.
+ ln -s nowhere dangling
+ ln -s loop loop
+ touch file
+ ln -s file link1
+ mkdir dir
+ ln -s dir link2
+ returns_ 1 touch no-file/
touch: setting times of 'no-file/': No such file or directory
+ returns_ 1 touch file/
+ fail=3D1
+ returns_ 1 touch dangling/
touch: setting times of 'dangling/': No such file or directory
+ returns_ 1 touch loop/
touch: setting times of 'loop/': Too many levels of symbolic links
+ returns_ 1 touch link1/
+ fail=3D1
+ touch dir/
+ touch -c no-file/
+ returns_ 1 touch -c file/
+ fail=3D1
+ touch -c dangling/
+ returns_ 1 touch -c loop/
touch: setting times of 'loop/': Too many levels of symbolic links
+ returns_ 1 touch -c link1/
+ fail=3D1
+ touch -c dir/
+ returns_ 1 test -f no-file
+ returns_ 1 test -f nowhere
+ touch -d 2009-10-10 -h link2/
+ touch -h -r link2/ file
+ case $(stat --format=3D%y dir) in
++ stat --format=3D%y dir
+ case $(stat --format=3D%y link2) in
++ stat --format=3D%y link2
+ case $(stat --format=3D%y file) in
++ stat --format=3D%y file
+ Exit 1
+ set +e
+ exit 1
+ exit 1
+ remove_tmp_
+ __st=3D1
+ cleanup_
+ :
+ cd /home/agn/sources/coreutils-8.25
+ chmod -R u+rwx /home/agn/sources/coreutils-8.25/gt-trailing-slash.sh.Of=
5T
+ rm -rf /home/agn/sources/coreutils-8.25/gt-trailing-slash.sh.Of5T
+ exit 1
FAIL tests/touch/trailing-slash.sh (exit status: 1)


--------------020201020802030507070906
Content-Type: text/x-log;
 name="aix-parent-perm-race.log"
Content-Transfer-Encoding: 8bit
Content-Disposition: attachment;
 filename="aix-parent-perm-race.log"

++ initial_cwd_=/home/agn/sources/coreutils-8.25
++ fail=0
+++ testdir_prefix_
+++ printf gt
++ pfx_=gt
+++ mktempd_ /home/agn/sources/coreutils-8.25 gt-parent-perm-race.sh.XXXX
+++ case $# in
+++ destdir_=/home/agn/sources/coreutils-8.25
+++ template_=gt-parent-perm-race.sh.XXXX
+++ MAX_TRIES_=4
+++ case $destdir_ in
+++ case $template_ in
++++ unset TMPDIR
+++ d=/home/agn/sources/coreutils-8.25/gt-parent-perm-race.sh.qUSd
+++ case $d in
+++ test -d /home/agn/sources/coreutils-8.25/gt-parent-perm-race.sh.qUSd
++++ ls -dgo /home/agn/sources/coreutils-8.25/gt-parent-perm-race.sh.qUSd
++++ tr S -
+++ perms='drwx------ 2 256 Jan 28 10:17 /home/agn/sources/coreutils-8.25/gt-parent-perm-race.sh.qU-d'
+++ case $perms in
+++ test 0 = 0
+++ echo /home/agn/sources/coreutils-8.25/gt-parent-perm-race.sh.qUSd
+++ return
++ test_dir_=/home/agn/sources/coreutils-8.25/gt-parent-perm-race.sh.qUSd
++ cd /home/agn/sources/coreutils-8.25/gt-parent-perm-race.sh.qUSd
++ gl_init_sh_nl_='
'
++ IFS=' 	
'
++ for sig_ in 1 2 3 13 15
+++ expr 1 + 128
++ eval 'trap '\''Exit 129'\'' 1'
+++ trap 'Exit 129' 1
++ for sig_ in 1 2 3 13 15
+++ expr 2 + 128
++ eval 'trap '\''Exit 130'\'' 2'
+++ trap 'Exit 130' 2
++ for sig_ in 1 2 3 13 15
+++ expr 3 + 128
++ eval 'trap '\''Exit 131'\'' 3'
+++ trap 'Exit 131' 3
++ for sig_ in 1 2 3 13 15
+++ expr 13 + 128
++ eval 'trap '\''Exit 141'\'' 13'
+++ trap 'Exit 141' 13
++ for sig_ in 1 2 3 13 15
+++ expr 15 + 128
++ eval 'trap '\''Exit 143'\'' 15'
+++ trap 'Exit 143' 15
++ trap remove_tmp_ 0
+ path_prepend_ ./src
+ test 1 '!=' 0
+ path_dir_=./src
+ case $path_dir_ in
+ abs_path_dir_=/home/agn/sources/coreutils-8.25/./src
+ case $abs_path_dir_ in
+ PATH=/home/agn/sources/coreutils-8.25/./src:/home/agn/sources/coreutils-8.25/src:/usr/bin:/etc:/usr/sbin:/usr/ucb:/home/agn/bin:/home/agn/usr/bin:/usr/bin/X11:/sbin:.
+ create_exe_shims_ /home/agn/sources/coreutils-8.25/./src
+ case $EXEEXT in
+ return 0
+ shift
+ test 0 '!=' 0
+ export PATH
+ print_ver_ cp
+ require_built_ cp
+ skip_=no
+ for i in '"$@"'
+ case " $built_programs " in
+ test no = yes
+ test yes = yes
+ local i
+ for i in '$*'
+ env cp --version
cp (GNU coreutils) 8.25
Copyright (C) 2016 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>.
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.

Written by Torbjörn Granlund, David MacKenzie, and Jim Meyering.
+ require_local_dir_
+ require_mount_list_
+ local 'mount_list_fail=cannot read table of mounted file systems'
+ df --local
+ grep -F 'cannot read table of mounted file systems'
+ is_local_dir_ .
+ test 1 = 1
+ df --local .
+ umask 002
+ mkdir mode ownership d
+ chmod g+s d
+ for attr in mode ownership
+ mkfifo_or_skip_ mode/fifo
+ test 1 = 1
+ mkfifo mode/fifo
+ pid=23265522
+ cp --preserve=mode -R --copy-contents --parents mode d
cp: cannot open 'mode/fifo' for reading: Invalid argument

--------------020201020802030507070906--




Acknowledgement sent to Assaf Gordon <assafgordon@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-coreutils@HIDDEN. Full text available.
Report forwarded to bug-coreutils@HIDDEN:
bug#22487; Package coreutils. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Thu, 25 Oct 2018 15:45:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.